cdac.medinfo.sdk.hl7282.hl7net.commons

## Interface IBatchProcessor

- All Known Implementing Classes:
    BatchAgent

      public interface IBatchProcessor

  The IBatchProcessor interface should be implemented by any class whose instances are intended to process Batches. The class must define the processReceive and processSend methods to parse and serialize Batches.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `IHL7BatchFile` | `createBatchFile(MessageFactory objMessageFactory, ISegmentSet objSegmentSet)` Creates HL7BatchFile and populate it through provided SegmentSet.
    `ISegmentSet` | `getSegmentSet(IHL7Batch objHL7Batch)` Populates SegemntSet through provided HL7Batch.
    `ISegmentSet` | `getSegmentSet(IHL7BatchFile objHL7BatchFile)` Populates SegemntSet through provided HL7BatchFile.
    `IHL7BatchFile` | `populateBatchFile(MessageFactory objMessageFactory, ISegmentSet objSegmentSet)` Populates HL7BatchFile through provided SegmentSet.
    `IHL7BatchFile` | `processReceive(MessageFactory objMessageFactory, ISegmentSet objSegmentSet)` Retrieves populated HL7BatchFile through given SegmentSet.
    `ISegmentSet` | `processSend(IHL7BatchFile objHL7BatchFile)` Retrieves SegmentSet generated through provided HL7BatchFile.

- - ### Method Detail

    - #### processReceive

          IHL7BatchFile processReceive(MessageFactory objMessageFactory,
                                     ISegmentSet objSegmentSet)

      Retrieves populated HL7BatchFile through given SegmentSet.
      Parameters:
        `objMessageFactory` - instance of MessageFactory
        `objSegmentSet` - instance of SegmentSet
      Returns:
        IHL7BatchFile - instance of HL7BatchFile
      Throws:
        `java.io.IOException` - Signals that an I/O exception has occurred.

    - #### processSend

          ISegmentSet processSend(IHL7BatchFile objHL7BatchFile)

      Retrieves SegmentSet generated through provided HL7BatchFile.
      Parameters:
        `objHL7BatchFile` - instance of HL7BatchFile
      Returns:
        ISegmentSet - instance of ISegmentSet

    - #### createBatchFile

          IHL7BatchFile createBatchFile(MessageFactory objMessageFactory,
                                      ISegmentSet objSegmentSet)

      Creates HL7BatchFile and populate it through provided SegmentSet. It processes messages which are supported for sending through provided Message factory.
      Parameters:
        `objMessageFactory` - instance of Message factory
        `objSegmentSet` - instance of SegmentSet
      Returns:
        IHL7BatchFile - instance of HL7BatchFile

    - #### populateBatchFile

          IHL7BatchFile populateBatchFile(MessageFactory objMessageFactory,
                                        ISegmentSet objSegmentSet)

      Populates HL7BatchFile through provided SegmentSet. It processes messages which are supported for receiving through provided Message factory.
      Parameters:
        `objMessageFactory` - instance of Message factory
        `objSegmentSet` - instance of SegmentSet
      Returns:
        IHL7BatchFile - instance of HL7BatchFile

    - #### getSegmentSet

          ISegmentSet getSegmentSet(IHL7BatchFile objHL7BatchFile)

      Populates SegemntSet through provided HL7BatchFile.
      Parameters:
        `objHL7BatchFile` - instance of HL7BatchFile
      Returns:
        SegmentSet - instance of SegmentSet

    - #### getSegmentSet

          ISegmentSet getSegmentSet(IHL7Batch objHL7Batch)

      Populates SegemntSet through provided HL7Batch.
      Parameters:
        `objHL7Batch` - instance of HL7Batch
      Returns:
        SegmentSet - instance of SegmentSet